Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# PGFrameStyle Class Reference

List of all members.

## Public Types
enum | Type { TNone = 0, TFlat = 1, TBevelOut = 2, TBevelIn = 3, TGroove = 4, TRidge = 5, TTextureBorder = 6 }
## Public Member Functions
| PGFrameStyle ()
| PGFrameStyle (PGFrameStyle const copy)
| clearTexture ()
| Removes the texture from the frame.
VBase4 | getColor ()
| Returns the dominant color of the frame.
VBase4 | getInternalFrame (VBase4 const frame)
| Computes the size of the internal frame, given the indicated external frame, appropriate for this kind of frame style.
Texture | getTexture ()
| Returns the texture that has been applied to the frame, or NULL if no texture has been applied.
Type | getType ()
| Returns the basic type of frame.
VBase2 const | getUvWidth ()
| See set_uv_width().
VBase2 const | getVisibleScale ()
| Returns the scale factor on the visible representation of the frame, in the X and Y directions.
VBase2 const | getWidth ()
| Returns the width parameter, which has meaning only for certain frame types.
bool | hasTexture ()
| Returns true if a texture has been applied to the frame.
PGFrameStyle | operator= (PGFrameStyle const copy)
| output (ostream out)
| setColor (VBase4 const color)
| Sets the dominant color of the frame.
| setColor (float r, float g, float b, float a)
| Sets the dominant color of the frame.
| setTexture (Texture texture)
| Specifies a texture that should be applied to the frame.
| setType (Type type)
| Sets the basic type of frame.
| setUvWidth (VBase2 const uv_width)
| Sets the uv_width parameter, which indicates the amount of the texture that is consumed by the inner bevel--the width in texture space of the amount indicated by set_width.
| setUvWidth (float u, float v)
| Sets the uv_width parameter, which indicates the amount of the texture that is consumed by the inner bevel--the width in texture space of the amount indicated by set_width.
| setVisibleScale (float x, float y)
| Sets a scale factor on the visible representation of the frame, in the X and Y directions.
| setVisibleScale (VBase2 const visible_scale)
| Sets a scale factor on the visible representation of the frame, in the X and Y directions.
| setWidth (float x, float y)
| Sets the width parameter, which has meaning only for certain frame types.
| setWidth (VBase2 const width)
| Sets the width parameter, which has meaning only for certain frame types.

## Member Enumeration Documentation

enum Type

Enumerator:

  TNone |
  TFlat |
  TBevelOut |
  TBevelIn |
  TGroove |
  TRidge |
  TTextureBorder |

## Constructor & Destructor Documentation

PGFrameStyle | ( |  | ) |

PGFrameStyle | ( | PGFrameStyle const | copy | ) |

## Member Function Documentation

clearTexture | ( |  | ) |

Removes the texture from the frame.

VBase4 getColor | ( |  | ) |

Returns the dominant color of the frame.

VBase4 getInternalFrame | ( | VBase4 const | frame | ) |

Computes the size of the internal frame, given the indicated external frame, appropriate for this kind of frame style.

This simply subtracts the border width for those frame styles that include a border.

Texture getTexture | ( |  | ) |

Returns the texture that has been applied to the frame, or NULL if no texture has been applied.

Type getType | ( |  | ) |

Returns the basic type of frame.

VBase2 const getUvWidth | ( |  | ) |

See set_uv_width().

VBase2 const getVisibleScale | ( |  | ) |

Returns the scale factor on the visible representation of the frame, in the X and Y directions.

If this scale factor is other than 1, it will affect the size of the visible frame representation within the actual frame border.

VBase2 const getWidth | ( |  | ) |

Returns the width parameter, which has meaning only for certain frame types.

For instance, this is the width of the bevel for T_bevel_in or T_bevel_out. The units are in screen units.

bool hasTexture | ( |  | ) |

Returns true if a texture has been applied to the frame.

PGFrameStyle operator= | ( | PGFrameStyle const | copy | ) |

output | ( | ostream | out | ) |

setColor | ( | VBase4 const | color | ) |

Sets the dominant color of the frame.

setColor | ( | float | r,
|  | float | g,
|  | float | b,
|  | float | a
| ) |  |

Sets the dominant color of the frame.

setTexture | ( | Texture | texture | ) |

Specifies a texture that should be applied to the frame.

setType | ( | Type | type | ) |

Sets the basic type of frame.

setUvWidth | ( | VBase2 const | uv_width | ) |

Sets the uv_width parameter, which indicates the amount of the texture that is consumed by the inner bevel--the width in texture space of the amount indicated by set_width.

setUvWidth | ( | float | u,
|  | float | v
| ) |  |

Sets the uv_width parameter, which indicates the amount of the texture that is consumed by the inner bevel--the width in texture space of the amount indicated by set_width.

setVisibleScale | ( | float | x,
|  | float | y
| ) |  |

Sets a scale factor on the visible representation of the frame, in the X and Y directions.

If this scale factor is other than 1, it will affect the size of the visible frame representation within the actual frame border.

setVisibleScale | ( | VBase2 const | visible_scale | ) |

Sets a scale factor on the visible representation of the frame, in the X and Y directions.

If this scale factor is other than 1, it will affect the size of the visible frame representation within the actual frame border.

setWidth | ( | VBase2 const | width | ) |

Sets the width parameter, which has meaning only for certain frame types.

For instance, this is the width of the bevel for T_bevel_in or T_bevel_out. The units are in screen units.

setWidth | ( | float | x,
|  | float | y
| ) |  |

Sets the width parameter, which has meaning only for certain frame types.

For instance, this is the width of the bevel for T_bevel_in or T_bevel_out. The units are in screen units.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties